KD SOAP API Documentation: KDSoapClientInterfacePrivate Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
KDSoapClientInterfacePrivate Class Reference

`#include <KDSoapClientInterface_p.h>`

Inheritance diagram for KDSoapClientInterfacePrivate:
[legend]
Collaboration diagram for KDSoapClientInterfacePrivate:
[legend]

## Public Member Functions
| KDSoapClientInterfacePrivate ()
| ~KDSoapClientInterfacePrivate ()
QNetworkAccessManager * | accessManager ()
QNetworkRequest | prepareRequest (const QString &method, const QString &action)
QBuffer * | prepareRequestBuffer (const QString &method, const KDSoapMessage &message, const QString &soapAction, const KDSoapHeaders &headers)
void | setupReply (QNetworkReply *reply)
void | writeAttributes (QXmlStreamWriter &writer, const QList< KDSoapValue > &attributes)
void | writeChildren (KDSoapNamespacePrefixes &namespacePrefixes, QXmlStreamWriter &writer, const KDSoapValueList &args, KDSoapMessage::Use use)
void | writeElementContents (KDSoapNamespacePrefixes &namespacePrefixes, QXmlStreamWriter &writer, const KDSoapValue &element, KDSoapMessage::Use use)
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
bool | blockSignals (bool block)
const QObjectList & | children () const const
QMetaObject::Connection | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const const
void | deleteLater ()
void | destroyed (QObject *obj)
bool | disconnect (const char *signal, const QObject *receiver, const char *method) const const
bool | disconnect (const QObject *receiver, const char *method) const const
void | dumpObjectInfo ()
void | dumpObjectInfo () const const
void | dumpObjectTree ()
void | dumpObjectTree () const const
QList< QByteArray > | dynamicPropertyNames () const const
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
T | findChild (const QString &name, Qt::FindChildOptions options) const const
QList< T > | findChildren (const QRegExp &regExp, Qt::FindChildOptions options) const const
QList< T > | findChildren (const QRegularExpression &re, Qt::FindChildOptions options) const const
QList< T > | findChildren (const QString &name, Qt::FindChildOptions options) const const
bool | inherits (const char *className) const const
void | installEventFilter (QObject *filterObj)
bool | isWidgetType () const const
bool | isWindowType () const const
void | killTimer (int id)
virtual const QMetaObject * | metaObject () const const
void | moveToThread (QThread *targetThread)
QString | objectName () const const
void | objectNameChanged (const QString &objectName)
QObject * | parent () const const
QVariant | property (const char *name) const const
| Q_CLASSINFO (Name, Value)
| Q_DISABLE_COPY (Class)
| Q_DISABLE_COPY_MOVE (Class)
| Q_DISABLE_MOVE (Class)
| Q_EMIT Q_EMIT
| Q_ENUM (...)
| Q_ENUM_NS (...)
| Q_ENUMS (...)
| Q_FLAG (...)
| Q_FLAG_NS (...)
| Q_FLAGS (...)
| Q_GADGET Q_GADGET
| Q_INTERFACES (...)
| Q_INVOKABLE Q_INVOKABLE
| Q_NAMESPACE Q_NAMESPACE
| Q_NAMESPACE_EXPORT (EXPORT_MACRO)
| Q_OBJECT Q_OBJECT
| Q_PROPERTY (...)
| Q_REVISION Q_REVISION
| Q_SET_OBJECT_NAME (Object)
| Q_SIGNAL Q_SIGNAL
| Q_SIGNALS Q_SIGNALS
| Q_SLOT Q_SLOT
| Q_SLOTS Q_SLOTS
T | qFindChild (const QObject *obj, const QString &name)
QList< T > | qFindChildren (const QObject *obj, const QRegExp &regExp)
QList< T > | qFindChildren (const QObject *obj, const QString &name)
T | qobject_cast (const QObject *object)
T | qobject_cast (QObject *object)
| QT_NO_NARROWING_CONVERSIONS_IN_CONNECT QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
void | removeEventFilter (QObject *obj)
void | setObjectName (const QString &name)
void | setParent (QObject *parent)
bool | setProperty (const char *name, const QVariant &value)
bool | signalsBlocked () const const
int | startTimer (int interval, Qt::TimerType timerType)
int | startTimer (std::chrono::milliseconds time, Qt::TimerType timerType)
QThread * | thread () const const

## Public Attributes
QNetworkAccessManager * | m_accessManager
KDSoapAuthentication | m_authentication
QString | m_endPoint
bool | m_hasMessageAddressingProperties = false
QMap< QByteArray, QByteArray > | m_httpHeaders
QList< QSslError > | m_ignoreErrorsList
bool | m_ignoreSslErrors = false
KDSoapHeaders | m_lastResponseHeaders
KDSoapMessageAddressingProperties | m_messageAddressingProperties
QString | m_messageNamespace
QMap< QString, KDSoapMessage > | m_persistentHeaders
bool | m_sendSoapActionInHttpHeader = true
bool | m_sendSoapActionInWsAddressingHeader = false
QSslConfiguration | m_sslConfiguration
KDSoapSslHandler * | m_sslHandler
KDSoapClientInterface::Style | m_style
KDSoapClientThread | m_thread
int | m_timeout = 30 * 60 * 1000
KDSoap::SoapVersion | m_version
Public Attributes inherited from QObject
typedef | QObjectList

## Additional Inherited Members
Static Public Member Functions inherited from QObject
QMetaObject::Connection | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, PointerToMemberFunction signal, const QObject *context, Functor functor, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, PointerToMemberFunction signal, const QObject *receiver, PointerToMemberFunction method, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, PointerToMemberFunction signal, Functor functor)
bool | disconnect (const QMetaObject::Connection &connection)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
bool | disconnect (const QObject *sender, PointerToMemberFunction signal, const QObject *receiver, PointerToMemberFunction method)
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
Protected Member Functions inherited from QObject
virtual void | childEvent (QChildEvent *event)
virtual void | connectNotify (const QMetaMethod &signal)
virtual void | customEvent (QEvent *event)
virtual void | disconnectNotify (const QMetaMethod &signal)
bool | isSignalConnected (const QMetaMethod &signal) const const
int | receivers (const char *signal) const const
QObject * | sender () const const
int | senderSignalIndex () const const
virtual void | timerEvent (QTimerEvent *event)
Properties inherited from QObject
| objectName

## Detailed Description

Definition at line 28 of file KDSoapClientInterface_p.h.

## Constructor & Destructor Documentation

## ◆ KDSoapClientInterfacePrivate()

KDSoapClientInterfacePrivate::KDSoapClientInterfacePrivate | ( |  | ) |

Definition at line 53 of file KDSoapClientInterface.cpp.

References m_sslHandler.

## ◆ ~KDSoapClientInterfacePrivate()

KDSoapClientInterfacePrivate::~KDSoapClientInterfacePrivate | ( |  | ) |

Definition at line 64 of file KDSoapClientInterface.cpp.

References m_sslHandler.

## Member Function Documentation

## ◆ accessManager()

QNetworkAccessManager * KDSoapClientInterfacePrivate::accessManager | ( |  | ) |

Definition at line 71 of file KDSoapClientInterface.cpp.

References QNetworkAccessManager::authenticationRequired(), QObject::connect(), and m_accessManager.

Referenced by KDSoapClientInterface::asyncCall(), KDSoapClientInterface::call(), KDSoapClientInterface::callNoReply(), KDSoapClientInterface::cookieJar(), KDSoapThreadTask::process(), KDSoapClientInterface::proxy(), KDSoapClientInterface::setCookieJar(), and KDSoapClientInterface::setProxy().

## ◆ prepareRequest()

QNetworkRequest KDSoapClientInterfacePrivate::prepareRequest | ( | const QString & | method,
|  | const QString & | action
| ) |  |

Definition at line 80 of file KDSoapClientInterface.cpp.

References QMap::constBegin(), QMap::constEnd(), QNetworkRequest::ContentTypeHeader, QString::endsWith(), QString::fromLatin1(), QNetworkRequest::Http2AllowedAttribute, QString::isNull(), QSslConfiguration::isNull(), m_endPoint, m_httpHeaders, m_messageNamespace, m_sendSoapActionInHttpHeader, m_sslConfiguration, m_version, QNetworkRequest::setAttribute(), QNetworkRequest::setHeader(), QNetworkRequest::setRawHeader(), QNetworkRequest::setSslConfiguration(), KDSoap::SOAP1_1, KDSoap::SOAP1_2, and QString::toUtf8().

Referenced by KDSoapClientInterface::asyncCall(), KDSoapClientInterface::callNoReply(), and KDSoapThreadTask::process().

## ◆ prepareRequestBuffer()

QBuffer * KDSoapClientInterfacePrivate::prepareRequestBuffer | ( | const QString & | method,
|  | const KDSoapMessage & | message,
|  | const QString & | soapAction,
|  | const KDSoapHeaders & | headers
| ) |  |

Definition at line 136 of file KDSoapClientInterface.cpp.

References KDSoapMessageAddressingProperties::action(), QByteArray::constData(), QString::isEmpty(), m_authentication, m_hasMessageAddressingProperties, m_messageAddressingProperties, m_messageNamespace, m_persistentHeaders, m_sendSoapActionInWsAddressingHeader, m_style, m_version, KDSoapMessage::messageAddressingProperties(), KDSoapMessageWriter::messageToXml(), QBuffer::open(), QIODevice::ReadOnly, KDSoapClientInterface::RPCStyle, KDSoapMessageAddressingProperties::setAction(), QBuffer::setData(), KDSoapMessage::setMessageAddressingProperties(), KDSoapMessageWriter::setMessageNamespace(), KDSoapMessageWriter::setVersion(), and QString::toLocal8Bit().

Referenced by KDSoapClientInterface::asyncCall(), KDSoapClientInterface::callNoReply(), and KDSoapThreadTask::process().

## ◆ setupReply()

void KDSoapClientInterfacePrivate::setupReply | ( | QNetworkReply * | reply | ) |

Definition at line 281 of file KDSoapClientInterface.cpp.

References QObject::connect(), QNetworkReply::ignoreSslErrors(), QNetworkReply::ignoreSslErrors(), m_ignoreErrorsList, m_ignoreSslErrors, m_sslHandler, m_timeout, QObject::qobject_cast(), QNetworkReply::sslErrors(), and QTimer::timeout().

Referenced by KDSoapClientInterface::asyncCall(), KDSoapClientInterface::callNoReply(), and KDSoapThreadTask::process().

## ◆ writeAttributes()

void KDSoapClientInterfacePrivate::writeAttributes | ( | QXmlStreamWriter & | writer,
|  | const QList< KDSoapValue > & | attributes
| ) |  |

## ◆ writeChildren()

void KDSoapClientInterfacePrivate::writeChildren | ( | KDSoapNamespacePrefixes & | namespacePrefixes,
|  | QXmlStreamWriter & | writer,
|  | const KDSoapValueList & | args,
|  | KDSoapMessage::Use | use
| ) |  |

## ◆ writeElementContents()

void KDSoapClientInterfacePrivate::writeElementContents | ( | KDSoapNamespacePrefixes & | namespacePrefixes,
|  | QXmlStreamWriter & | writer,
|  | const KDSoapValue & | element,
|  | KDSoapMessage::Use | use
| ) |  |

## Member Data Documentation

## ◆ m_accessManager

QNetworkAccessManager* KDSoapClientInterfacePrivate::m_accessManager

Definition at line 37 of file KDSoapClientInterface_p.h.

Referenced by accessManager().

## ◆ m_authentication

KDSoapAuthentication KDSoapClientInterfacePrivate::m_authentication

Definition at line 41 of file KDSoapClientInterface_p.h.

Referenced by KDSoapClientInterface::call(), prepareRequestBuffer(), and KDSoapClientInterface::setAuthentication().

## ◆ m_endPoint

QString KDSoapClientInterfacePrivate::m_endPoint

Definition at line 38 of file KDSoapClientInterface_p.h.

Referenced by KDSoapClientInterface::KDSoapClientInterface(), KDSoapClientInterface::endPoint(), prepareRequest(), and KDSoapClientInterface::setEndPoint().

## ◆ m_hasMessageAddressingProperties

bool KDSoapClientInterfacePrivate::m_hasMessageAddressingProperties = false

Definition at line 57 of file KDSoapClientInterface_p.h.

Referenced by prepareRequestBuffer(), and KDSoapClientInterface::setMessageAddressingProperties().

## ◆ m_httpHeaders

QMap<QByteArray, QByteArray> KDSoapClientInterfacePrivate::m_httpHeaders

Definition at line 43 of file KDSoapClientInterface_p.h.

Referenced by prepareRequest(), and KDSoapClientInterface::setRawHTTPHeaders().

## ◆ m_ignoreErrorsList

QList<QSslError> KDSoapClientInterfacePrivate::m_ignoreErrorsList

Definition at line 49 of file KDSoapClientInterface_p.h.

Referenced by KDSoapClientInterface::ignoreSslErrors(), and setupReply().

## ◆ m_ignoreSslErrors

bool KDSoapClientInterfacePrivate::m_ignoreSslErrors = false

Definition at line 54 of file KDSoapClientInterface_p.h.

Referenced by KDSoapClientInterface::ignoreSslErrors(), and setupReply().

## ◆ m_lastResponseHeaders

KDSoapHeaders KDSoapClientInterfacePrivate::m_lastResponseHeaders

Definition at line 47 of file KDSoapClientInterface_p.h.

Referenced by KDSoapClientInterface::call(), and KDSoapClientInterface::lastResponseHeaders().

## ◆ m_messageAddressingProperties

KDSoapMessageAddressingProperties KDSoapClientInterfacePrivate::m_messageAddressingProperties

Definition at line 46 of file KDSoapClientInterface_p.h.

Referenced by prepareRequestBuffer(), and KDSoapClientInterface::setMessageAddressingProperties().

## ◆ m_messageNamespace

QString KDSoapClientInterfacePrivate::m_messageNamespace

Definition at line 39 of file KDSoapClientInterface_p.h.

Referenced by KDSoapClientInterface::KDSoapClientInterface(), prepareRequest(), and prepareRequestBuffer().

## ◆ m_persistentHeaders

QMap<QString, KDSoapMessage> KDSoapClientInterfacePrivate::m_persistentHeaders

Definition at line 42 of file KDSoapClientInterface_p.h.

Referenced by prepareRequestBuffer(), and KDSoapClientInterface::setHeader().

## ◆ m_sendSoapActionInHttpHeader

bool KDSoapClientInterfacePrivate::m_sendSoapActionInHttpHeader = true

Definition at line 55 of file KDSoapClientInterface_p.h.

Referenced by prepareRequest(), KDSoapClientInterface::sendSoapActionInHttpHeader(), and KDSoapClientInterface::setSendSoapActionInHttpHeader().

## ◆ m_sendSoapActionInWsAddressingHeader

bool KDSoapClientInterfacePrivate::m_sendSoapActionInWsAddressingHeader = false

Definition at line 56 of file KDSoapClientInterface_p.h.

Referenced by prepareRequestBuffer(), KDSoapClientInterface::sendSoapActionInWsAddressingHeader(), and KDSoapClientInterface::setSendSoapActionInWsAddressingHeader().

## ◆ m_sslConfiguration

QSslConfiguration KDSoapClientInterfacePrivate::m_sslConfiguration

Definition at line 50 of file KDSoapClientInterface_p.h.

Referenced by prepareRequest(), KDSoapClientInterface::setSslConfiguration(), and KDSoapClientInterface::sslConfiguration().

## ◆ m_sslHandler

KDSoapSslHandler* KDSoapClientInterfacePrivate::m_sslHandler

Definition at line 51 of file KDSoapClientInterface_p.h.

Referenced by KDSoapClientInterfacePrivate(), ~KDSoapClientInterfacePrivate(), setupReply(), and KDSoapClientInterface::sslHandler().

## ◆ m_style

KDSoapClientInterface::Style KDSoapClientInterfacePrivate::m_style

Definition at line 45 of file KDSoapClientInterface_p.h.

Referenced by prepareRequestBuffer(), KDSoapClientInterface::setStyle(), and KDSoapClientInterface::style().

## ◆ m_thread

KDSoapClientThread KDSoapClientInterfacePrivate::m_thread

Definition at line 40 of file KDSoapClientInterface_p.h.

Referenced by KDSoapClientInterface::~KDSoapClientInterface(), and KDSoapClientInterface::call().

## ◆ m_timeout

int KDSoapClientInterfacePrivate::m_timeout = 30 * 60 * 1000

Definition at line 53 of file KDSoapClientInterface_p.h.

Referenced by KDSoapClientInterface::setTimeout(), setupReply(), and KDSoapClientInterface::timeout().

## ◆ m_version

KDSoap::SoapVersion KDSoapClientInterfacePrivate::m_version

Definition at line 44 of file KDSoapClientInterface_p.h.

Referenced by KDSoapClientInterface::KDSoapClientInterface(), KDSoapClientInterface::asyncCall(), prepareRequest(), prepareRequestBuffer(), KDSoapThreadTask::process(), KDSoapClientInterface::setSoapVersion(), and KDSoapClientInterface::soapVersion().

The documentation for this class was generated from the following files:

- KDSoapClientInterface_p.h
- KDSoapClientInterface.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8